using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace Ika.Graphics.Effects
{
    public class SkyEffect : EffectWrapper
    {
        public Color TopColor
        {
            set { m_effect.Parameters["colorTop"].SetValue(value.ToVector4()); }
        }

        public Color BottomColor
        {
            set { m_effect.Parameters["colorBottom"].SetValue(value.ToVector4()); }
        }

        public SkyEffect(Effect effect)
            : base(effect)
        {
        }
    }
}
